Use standard addHelpLink() for search help on Special:Search page
Closed, ResolvedPublic

Description

Many WMF wikis display a Help:Searching link on the Special:Search page by adding the message key 'search-summary' which SpecialPage.php outputs in outputHeader(). But it doesn't render it with the addHelpLink() standard '(?)' help UX used on most other special pages, e.g. https://www.mediawiki.org/wiki/Special:LinkSearch.

A fix is to add the standard addHelpLink() code to SpecialSearch.php using a different message key such as 'Help:Search', then over time wikis can remove 'search-summary' in favor of this.

Spage updated the task description. (Show Details)
Spage raised the priority of this task from to Needs Triage.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2015, 1:00 AM

Change 246695 had a related patch set uploaded (by Glaisher):
Add help link to Special:Search

https://gerrit.wikimedia.org/r/246695

This would need a User-notice, so that Wiki administrators cann remove the search-summary message to avoid two help links, which would be very confusing, right?

Glaisher added a subscriber: Johan.

@Johan can probably help decide that.

(Sorry for the late reply, I was at a conference last week and had to leave Tech News in other competent hands.)

I'll mention it in Tech News. I see the patch is still in "review in progress". When could we expect the changed to be deployed?

Liuxinyu970226 added a subscriber: Liuxinyu970226.

@Johan: Thanks for reply :) I haven't merged the change, because I wanted to make sure, that we announce it properly, if needed :) I now merged it and it will be deployed next week, with MW 1.27.0-wmf.5 starting at 03 November.

Change 246695 merged by jenkins-bot:
Add help link to Special:Search

https://gerrit.wikimedia.org/r/246695

Glaisher closed this task as Resolved.Oct 28 2015, 11:59 AM
Glaisher claimed this task.

Thanks

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 7:55 AM